#!/usr/bin/env -S awk -f
# Filter BLASTp format 6 file
# to keep only the records
# with ID in records.list
#
# Usage:
# awk -f filter_blastp_sequence_id.awk \
# records.list records.blastp.tsv

NR == FNR {
    sequence_id = $1
    to_remove[sequence_id] = 1
    next
}

{
    sequence_id = $1
    if (!(sequence_id in to_remove)) {
        print $0
    }
}
